<html lang="en">
<head>
<title>eieio-instance-inheritor - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link rel="prev" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link rel="next" href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker" title="eieio-instance-tracker">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="eieio-instance-inheritor"></a>
<a name="eieio_002dinstance_002dinheritor"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Base-Classes.html#Base-Classes">Base Classes</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Base-Classes.html#Base-Classes">Base Classes</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">12.1 <code>eieio-instance-inheritor</code></h3>

<p>This class is in package <samp><span class="file">eieio-base</span></samp>.

   <p>Instance inheritance is a mechanism whereby the value of a slot in
object instance can reference the parent instance.  If the parent's slot
value is changed, then the child instance is also changed.  If the
child's slot is set, then the parent's slot is not modified.

<div class="defun">
&mdash; Class: <b>eieio-instance-inheritor</b><var> parent-instance<a name="index-eieio_002dinstance_002dinheritor-61"></a></var><br>
<blockquote><p>A class whose instances are enabled with instance inheritance. 
The <var>parent-instance</var> slot indicates the instance which is
considered the parent of the current instance.  Default is <code>nil</code>. 
</p></blockquote></div>

   <p><a name="index-clone-62"></a>To use this class, inherit from it with your own class. 
To make a new instance that inherits from and existing instance of your
class, use the <code>clone</code> method with additional parameters
to specify local values.

   <p><a name="index-slot_002dunbound-63"></a>The <code>eieio-instance-inheritor</code> class works by causing cloned
objects to have all slots unbound.  This class' <code>slot-unbound</code>
method will cause references to unbound slots to be redirected to the
parent instance.  If the parent slot is also unbound, then
<code>slot-unbound</code> will throw an <code>slot-unbound</code> signal.

   </body></html>

